Meridian Ideas

Add your voice to the dialogue; share your best ideas!
Vote for the ideas you like; it helps to set priorities.

Add version support fo ipad 4

4th generation ipad are very common but can't install app. Can for earlier and later ipad, why not 4? It is the same operating system
  • Terry van Hattum
  • Mar 19 2019
  • Planned
  • Attach files
  • Admin
    Chris Tsangarides commented
    21 Mar 20:21

    Legacy ID: MOB-I-11

    Idea created at: 2017-Sep-27

    Referenced customer:

    COMMENTS: